Skip to main content
GET
/
api
/
v1
/
users
/
{user_id}
/
addresses
List addresses for an user
curl --request GET \
  --url https://api.scholarlysoftware.com/api/v1/users/{user_id}/addresses \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "address",
      "attributes": {
        "label": "Office Address",
        "address_level1": "IL",
        "address_level2": "Springfield",
        "effective_from": "2024-01-01",
        "custom_fields": {},
        "external_id": "EXT-12345",
        "address_line1": "789 Academic Dr",
        "address_line2": "Suite 200",
        "address_line3": "<string>",
        "address_level3": "<string>",
        "address_level4": "<string>",
        "country": "US",
        "country_name": "United States",
        "postal_code": "62703",
        "effective_to": "2023-12-25"
      },
      "relationships": {
        "user": {
          "links": {
            "related": "<string>"
          },
          "meta": {},
          "data": {
            "type": "user",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          }
        },
        "profile": {
          "links": {
            "related": "<string>"
          },
          "meta": {},
          "data": {
            "type": "profile",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          }
        }
      }
    }
  ],
  "meta": {
    "page": {
      "size": 123
    },
    "total": 123
  },
  "links": {
    "self": "<string>",
    "first": "<string>",
    "next": "<string>",
    "prev": "<string>",
    "last": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

Bearer token

Path Parameters

user_id
string
required

Query Parameters

include
string

Comma-separated list of relationships to include. Allowed: user, profile

filter[key]
string

Filter results. Available filters: external_id, external_id.neq, external_id.cont, external_id.in, external_id.nin, country, country.neq, country.cont, country.in, country.nin, postal_code, postal_code.neq, postal_code.cont, postal_code.in, postal_code.nin, effective_from, effective_from.neq, effective_from.lt, effective_from.lte, effective_from.gt, effective_from.gte, effective_to, effective_to.neq, effective_to.lt, effective_to.lte, effective_to.gt, effective_to.gte. Custom fields can also be filtered with filter[custom_fields.field_name].

page[size]
integer

Number of items per page (max 100)

page[after]
string

Cursor for next page

page[before]
string

Cursor for previous page

Response

addresses found

data
object[]
required
meta
object